Debian Bug report logs - #345604
contains non-free documentation

version graph

Package: tetex-doc; Maintainer for tetex-doc is (unknown);

Reported by: Florian Weimer <fw@deneb.enyo.de>

Date: Mon, 2 Jan 2006 06:33:01 UTC

Severity: serious

Tags: etch, etch-ignore

Found in versions tetex-doc/2.0.2c-8, tetex-doc/3.0-11, tetex-doc/2.0.2c-9

Done: Hilmar Preuße <hille42@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
New Bug report received and forwarded. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: submit@bugs.debian.org
Subject: ConTeXt documentation is non-free
Date: Mon, 02 Jan 2006 07:27:39 +0100
Package: tetex-doc
Version: 3.0-11
Severity: serious

The license is clearly non-free:

| All rights reserved. No part of this publication may be reproduced,
| stored in a retrieval system, or transmitted in any form or by any
| means, electronic, mechanical, photocopying, recording or otherwise,
| without prior written permission of the publisher.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 345604@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 345604@bugs.debian.org
Subject: Undistributable?
Date: Mon, 2 Jan 2006 23:45:27 +0100
[Message part 1 (text/plain, inline)]
Worse: from the (non-)license you quoted, it seems that this
documentation is *not* even distributable!

If this is the case, the Debian project is currently violating someone's
copyright by distributing it and should stop doing that ASAP!

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: Florian Weimer <fw@deneb.enyo.de>, 345604@bugs.debian.org
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Wed, 4 Jan 2006 11:22:46 +0100
On Mon, Jan 02, 2006 at 07:27 +0100, Florian Weimer wrote:
> Package: tetex-doc
> Version: 3.0-11
> Severity: serious
> 
> The license is clearly non-free:
> 
> | All rights reserved. No part of this publication may be reproduced,
> | stored in a retrieval system, or transmitted in any form or by any
> | means, electronic, mechanical, photocopying, recording or otherwise,
> | without prior written permission of the publisher.

(from /usr/share/doc/texmf/context/manual/cont-eni.pdf.gz)

This sounds bad, indeed. However, I think that the ConTeXt manual is
actually covered by the general ConTeXt license in
/usr/share/doc/texmf/context/base/mreadme.pdf.gz and
/usr/share/doc/texmf/context/base/LICENSE.teTeX, which is free.

cheerio
ralf




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 345604@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Ralf Stubner <ralf.stubner@web.de>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Fri, 06 Jan 2006 22:37:07 +0100
* Ralf Stubner:

>> | All rights reserved. No part of this publication may be reproduced,
>> | stored in a retrieval system, or transmitted in any form or by any
>> | means, electronic, mechanical, photocopying, recording or otherwise,
>> | without prior written permission of the publisher.
>
> (from /usr/share/doc/texmf/context/manual/cont-eni.pdf.gz)
>
> This sounds bad, indeed. However, I think that the ConTeXt manual is
> actually covered by the general ConTeXt license in
> /usr/share/doc/texmf/context/base/mreadme.pdf.gz and
> /usr/share/doc/texmf/context/base/LICENSE.teTeX, which is free.

But we lack the ConTeXt source code for those PDFs, do we?  This means
it still has to go into non-free.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: 345604@bugs.debian.org, Ralf Stubner <ralf.stubner@web.de>
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Mon, 09 Jan 2006 15:39:09 +0100
Florian Weimer <fw@deneb.enyo.de> wrote:

> * Ralf Stubner:
>
>>> | All rights reserved. No part of this publication may be reproduced,
>>> | stored in a retrieval system, or transmitted in any form or by any
>>> | means, electronic, mechanical, photocopying, recording or otherwise,
>>> | without prior written permission of the publisher.
>>
>> (from /usr/share/doc/texmf/context/manual/cont-eni.pdf.gz)
>>
>> This sounds bad, indeed. However, I think that the ConTeXt manual is
>> actually covered by the general ConTeXt license in
>> /usr/share/doc/texmf/context/base/mreadme.pdf.gz and
>> /usr/share/doc/texmf/context/base/LICENSE.teTeX, which is free.
>
> But we lack the ConTeXt source code for those PDFs, do we?  This means
> it still has to go into non-free.

Obviously, unless we get the source code - will talk to Hans once I find
time.  

Florian, are you on a general search for non-free docs, and looking at
more files in tetex-doc?  Then please also send a Debbugs-Cc to
218105@bugs.debian.org ("Woeful copyright file").

Regards, Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 345604@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Frank Küster <frank@debian.org>
Cc: 345604@bugs.debian.org, Ralf Stubner <ralf.stubner@web.de>
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Tue, 10 Jan 2006 16:34:00 +0100
* Frank Küster:

> Florian, are you on a general search for non-free docs, and looking at
> more files in tetex-doc?  Then please also send a Debbugs-Cc to
> 218105@bugs.debian.org ("Woeful copyright file").

I'm aware of that bug report, but think of it as a separate matter
(especially the tex.web status and how this file can be used in GPLed
programs is completely non-obvious to me).



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: 345604@bugs.debian.org, Ralf Stubner <ralf.stubner@web.de>
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Tue, 10 Jan 2006 17:39:48 +0100
Florian Weimer <fw@deneb.enyo.de> wrote:

> * Frank Küster:
>
>> Florian, are you on a general search for non-free docs, and looking at
>> more files in tetex-doc?  Then please also send a Debbugs-Cc to
>> 218105@bugs.debian.org ("Woeful copyright file").
>
> I'm aware of that bug report, but think of it as a separate matter
> (especially the tex.web status

#218195 is about the woeful copyright file, not the woeful copyright of
a particular file...  What we really need to do is to sort out which
parts of teTeX are under which license, and document that clearly (and
remove if necessary), and to that end collecting information about
GFDLed stuff is important.  Therefore I'd like to have the information
in that bug, too.

> and how this file can be used in GPLed
> programs is completely non-obvious to me).

I guess the license is GPL-incompatible, but DFSG-free.  And *that* is
not a practical problem, since nobody would want to reuse the code from
tex.web in a new project.  There have been a couple of attempts to
reimplement the algorithms, though, and the latest one is under LGPL
(ExTeX at http://www.extex.org/)

Regards, Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 345604@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Frank Küster <frank@debian.org>
Cc: 345604@bugs.debian.org, Ralf Stubner <ralf.stubner@web.de>
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Tue, 10 Jan 2006 18:11:01 +0100
* Frank Küster:

> #218195 is about the woeful copyright file, not the woeful copyright of
> a particular file...  What we really need to do is to sort out which
> parts of teTeX are under which license, and document that clearly (and
> remove if necessary), and to that end collecting information about
> GFDLed stuff is important.  Therefore I'd like to have the information
> in that bug, too.

Okay, I understand.

> I guess the license is GPL-incompatible, but DFSG-free.  And *that* is
> not a practical problem, since nobody would want to reuse the code from
> tex.web in a new project.

But pdfTeX does, and it claims to be GPLed.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: 345604@bugs.debian.org, Ralf Stubner <ralf.stubner@web.de>
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Tue, 10 Jan 2006 19:39:24 +0100
Florian Weimer <fw@deneb.enyo.de> wrote:

>> I guess the license is GPL-incompatible, but DFSG-free.  And *that* is
>> not a practical problem, since nobody would want to reuse the code from
>> tex.web in a new project.
>
> But pdfTeX does, and it claims to be GPLed.

That's a good point - but this shouldn't be discussed on the teTeX
mailinglist, but with the web2c people (it's not an issue of pdftex
only, most current implementations of TeX on unix(like) or Windows use
web2c code which is GPL.  

I cannot say anything here; I don't even know exactly why source code
under a BSD license can be included in a GPL project.  But the license
of tex.web is liberal as soon as you rename it (it's in the public
domain AFAIK), and there's no need to rename it as long as the web2c
application passes the trip test...

Maybe you should ask Janet Casey from the FSF who has created the pdftex
entry in the Free Software Directory.

Regards, Frank

-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Bug marked as found in version 2.0.2c-8. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.0.2c-9. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: "Hans Hagen <"<pragma@wxs.nl>
Cc: TeXLive <texlive@tug.org>, 345604@bugs.debian.org
Subject: ConTeXt documentation in "commercial" products
Date: Wed, 18 Jan 2006 11:32:31 +0100
Hello Hans, hello texlive list,

please take my apologies for bringing this up, but it seems I need to.
According to mreadme.pdf, the documentation is under a different license
than the code, with a "currently" attached to that statement.
Unfortunately, the license chosen for the documentation does not allow
inclusion in TeXLive (and Debian, hence the other Cc).

The problem is the prohibition to use it for commercial purposes.  This
is explained later as

,----
| The non--commercial part is mostly a safeguard. We don't mind if user
| groups distribute printed copies, publish (parts of) manuals and/or if
| authors use example code in manuals and books about ConTEXt.
`----

However, if a bookshop like Lehmann's in Germany creates TeXLive (or
Debian) CD-ROMs and sells them, this is commercial use - even if the
price is hardly more than the production costs, and even if DANTE, the
german user group, gets a bunch of them for free.  After all, the
purpose is to bring customers into the bookshop in the hope they also
buy something else.

On the other hand, I understand that Pragma wants to prevent anyone from
printing and selling a book or booklet with the documentation.  But I
assume that it would be possible to do this without such restrictions.

What do you think?


As for a practical solution, maybe simply using the GPL for the
documentation would maybe already do the trick, since the publisher
would have to provide the source code on the same medium, i.e. written.
I assume it's even possible to declare that the rights granted by the
GPL do not apply to print, or more specifically, to state that the
copyright holder grants and restricts the same rights for any digital
representation (like a PDF file) that the GPL gives for "object code",
but not for any printed representation which isn't covered by the GPL,
anyway.

Regards, Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 345604@bugs.debian.org
Subject: Re: Bug#345604: ConTeXt documentation in "commercial" products
Date: Thu, 19 Jan 2006 11:56:30 +0100
retitle 345604 contains non-free documentation
thanks

Frank Küster <frank@kuesterei.ch> wrote:

> please take my apologies for bringing this up, but it seems I need to.
> According to mreadme.pdf, the documentation is under a different license
> than the code, with a "currently" attached to that statement.
> Unfortunately, the license chosen for the documentation does not allow
> inclusion in TeXLive (and Debian, hence the other Cc).

I have been told privately from a texlive team member that he has
already discussed this with ConTeXt upstream, and they are not likely to
change it.  Therefore we should start creating a tetex-doc-nonfree
package.

Since we should really check other docs as well, I'm retitling this one,
and we'll keep it open until every document has been checked.  I also
think that while we can start removing ConTeXt documentation from the
binary package at once (and ship it in tetex-doc-nonfree), we should not
upload a new orig.tar.gz file for every documentation that we remove.

> As for a practical solution, maybe simply using the GPL for the
> documentation would maybe already do the trick, since the publisher
> would have to provide the source code on the same medium, i.e. written.

This will probably work, since the source code would also include fonts,
cover art, etc.

> I assume it's even possible to declare that the rights granted by the
> GPL do not apply to print, or more specifically, to state that the
> copyright holder grants and restricts the same rights for any digital
> representation (like a PDF file) that the GPL gives for "object code",
> but not for any printed representation which isn't covered by the GPL,
> anyway.

People on -legal told me this is probably not true; more specifically,
the GPL v3 draft specifically states that "object code" is everything
created from the source.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Changed Bug title. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 345604@bugs.debian.org
Subject: contains non-free documentation
Date: Thu, 19 Jan 2006 18:54:01 +0100
Hi,

here's the start of a list of documents that have no source in
tetex-base or tetex-src, but whose source is available elsewhere:

- The TeX Catalogue, source at
   cvs -d :pserver:anonymous@cvs.texcatalogue.sarovar.org:/cvsroot/texcatalogue export  -r HEAD texcatalogue

   (needs python-xml)

- tds.dvi: Sources at http://www.tug.org/ftp/tex/tds/ or
  http://www.ctan.org/tex-archive/tds/ 

- faq: http://www.tex.ac.uk/tex-archive/help/uk-tex-faq/

A list of files without a license statement:

doc/help/csname.txt
doc/help/unixtex.ftp (outdated, current copy in tetex-bin)

And miscellaneous stuff:

doc/texdoctk/README: Should be updated from tetex-bin, report upstream


-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Hans Hagen <pragma@wxs.nl>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 345604@bugs.debian.org (full text, mbox):

From: Hans Hagen <pragma@wxs.nl>
To: � <frank@kuesterei.ch>
Cc: TeXLive <texlive@tug.org>, 345604@bugs.debian.org, Taco Hoekwater <taco@elvenkind.com>
Subject: Re: ConTeXt documentation in "commercial" products
Date: Thu, 19 Jan 2006 20:43:39 +0100
Hi,

>please take my apologies for bringing this up, but it seems I need to.
>According to mreadme.pdf, the documentation is under a different license
>than the code, with a "currently" attached to that statement.
>Unfortunately, the license chosen for the documentation does not allow
>inclusion in TeXLive (and Debian, hence the other Cc).
>  
>
I will add the following sentence to the readme:

If you distribute \CONTEXT\ and related software on electronic media
as part of \TEX\ distributions, you may also distribute the manuals
in electronic form, preferable as provided by the maintainers of
\CONTEXT.

Btw, context documentation is part of the tex collection but not of tex 
live; the reason is that tex live only ships documentation for which a 
source is avaliable (and since there is never the guarantee that a 
source is complete, will run, has all graphic and font resources with 
it, it means that this criterium is hard to meet, i.e. what is a source: 
if i generate an html page from an xml file, it has no source either). 
Technically this means that a pdf file like mreadme.pdf will not be 
distributed. Afaik substantial context documentation and samples (over 
100 meg in pdf form) are no part of linux distributions either. But i 
have absoutely no problems if the manuals are distributed (as long as it 
does not cost me time).

Currently, context manuals are put (stepwise) under svn, and for 
practical purposes it's done on one of our internal machines with a copy 
on taco's website. However, there is no guarantee that each document 
runs as intended (i.e. there are fall backs when i use for instance non 
public fonts, or non public graphics, and i don't provide support for 
that).

At some time I may put a zip archive with the manuals alongside the 
other context zips, but i wonder is there is any interest in those tens 
of megabytes.

BTW, concerning GPL and manuals ... manuals are no programs and i like 
the simple and understandable CC ones; this is also the reason why i use 
the CC GPL variant, because then users (and i) don't have to read and 
understand those tens of pages of legal stuff -)

Hans 


-----------------------------------------------------------------
                                         Hans Hagen | PRAGMA ADE
             Ridderstraat 27 | 8061 GH Hasselt | The Netherlands
    tel: 038 477 53 69 | fax: 038 477 53 74 | www.pragma-ade.com
                                            | www.pragma-pod.nl
-----------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to karl@freefriends.org (Karl Berry):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 345604@bugs.debian.org (full text, mbox):

From: karl@freefriends.org (Karl Berry)
To: pragma@wxs.nl
Cc: frank@kuesterei.ch, taco@elvenkind.com, 345604@bugs.debian.org, texlive@tug.org
Subject: Re: [tex-live] Re: ConTeXt documentation in "commercial" products
Date: Thu, 19 Jan 2006 16:25:25 -0600
    since there is never the guarantee 

Guarantees aren't necessary, in my mind.  With context, there is
probably no way to guarantee that anyone can ever get exactly the same
result as you unless they come over to your office and duplicate your
disks :).  (Probably not even that would be enough.)

The main point of free documentation is to allow, in principle, someone
who makes changes to the free software it describes to also update the
documentation.  Distributing pdf's doesn't allow that.  Making a
good-faith effort to distribute sources (even if not necessarily
complete / guaranteed to run) does.

Any interest in reconsidering?

    if i generate an html page from an xml file, it has no source either). 

If you generate an html page from an xml file, the xml file is the
source.

    understand those tens of pages of legal stuff -)

Well, the GPL is five pages typeset, but your point remains the same :).


Thanks,
k



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Hans Hagen <pragma@wxs.nl>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 345604@bugs.debian.org (full text, mbox):

From: Hans Hagen <pragma@wxs.nl>
To: Karl Berry <karl@freefriends.org>
Cc: frank@kuesterei.ch, taco@elvenkind.com, 345604@bugs.debian.org, texlive@tug.org
Subject: Re: [tex-live] Re: ConTeXt documentation in "commercial" products
Date: Thu, 19 Jan 2006 23:49:39 +0100
Karl Berry wrote:

>The main point of free documentation is to allow, in principle, someone
>who makes changes to the free software it describes to also update the
>documentation.  Distributing pdf's doesn't allow that.  Making a
>good-faith effort to distribute sources (even if not necessarily
>complete / guaranteed to run) does.
>  
>
i'd say: write a new or additional manual -)

btw, the fact that tex distributions seems to differ slightly (just read 
messages on the context list about installing tex on linux) does not 
mean that those who change things also document things; in the end the 
questions come to the source of the program ...

also, if users take pieces of manuals, rewrite it, make better manuals 
... fine for me, as long as no-one bothers me ... my main point is that 
i don't want to be responsible for that and that i don't want to let 
users be confused about what version is 'the real one'

>Any interest in reconsidering?
>  
>
well, for a while now context users can download sources of manuals 
(more will follow) from our svn repository; if they change and patch 
fine, as long as they don't  let it end up in the commercial publication 
domain (and thereby entering a real copyright mess); guess why i never 
published one of the manuals as book: i want copies to be freely 
available. I leave it to others to do that and as the licence says: 
potential authors are free to use the examples for that purpose (it's 
actually one of the reasons for making them available).

>    if i generate an html page from an xml file, it has no source either). 
>
>If you generate an html page from an xml file, the xml file is the
>source.
>  
>
i bet that there are pdf's (and maybe html's) in texlive with no sources -)

(anyhow, as an escape one can always use pdftotext and then claim that 
he/she has clever macros that can turn the resulting text file into a 
nicely typeset pdf file)

>    understand those tens of pages of legal stuff -)
>
>Well, the GPL is five pages typeset, but your point remains the same :).
>  
>
-) 

Hans  

-----------------------------------------------------------------
                                         Hans Hagen | PRAGMA ADE
             Ridderstraat 27 | 8061 GH Hasselt | The Netherlands
    tel: 038 477 53 69 | fax: 038 477 53 74 | www.pragma-ade.com
                                            | www.pragma-pod.nl
-----------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #86 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: Frank Küster <frank@debian.org>, 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Sat, 21 Jan 2006 18:08:47 +0100
On Thu, Jan 19, 2006 at 18:54 +0100, Frank Küster wrote:

> here's the start of a list of documents that have no source in
> tetex-base or tetex-src, but whose source is available elsewhere:

And here some documents with (possibly) problematic license:

l2tabuen.pdf:
GFDL, >= v1.2, no Invariant Sections, Front- or Back-Cover Texts

l2tabu.pdf
Open Publication License, >= v1.0, http://www.opencontent.org/openpub/
(I don't know if this license is DFSG-free)

The source for both these documents is in tetex-src.

cheerio
ralf




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #91 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Mon, 23 Jan 2006 00:03:08 +0100
On Sat, Jan 21, 2006 at 18:08 +0100, Ralf Stubner wrote:
> And here some documents with (possibly) problematic license:

pdftex-a.pdf
GFDL, >= v1.2, no Invariant Sections, Front- or Back-Cover Texts

fontinstallationguide.pdf
GFDL, >= v1.2, no Invariant Sections, Front- or Back-Cover Texts
Source can be found in CTAN:info/Type1fonts/fontinstallationguide/.

cheerio
ralf



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Ralf Stubner <ralf.stubner@web.de>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Mon, 23 Jan 2006 18:16:19 +0100
Ralf Stubner <ralf.stubner@web.de> wrote:

> l2tabu.pdf
> Open Publication License, >= v1.0, http://www.opencontent.org/openpub/
> (I don't know if this license is DFSG-free)

http://www.debian.org/legal/licenses/

Licenses currently found in the non-free archive section include:

    [...]
    * Open Publication License

However, it might be possible to convince the maintainer.  But before we
try to reach him we should have a thorough understanding of possible
alternatives.  I've talked to him a couple of months ago, and while he
agreed that the current choice is suboptimal, he wasn't easily convinced
of just using a DFSG-free software license (and I didn't know, and still
don't know, any documentation-specific DFSG-free license).

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #101 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Fri, 27 Jan 2006 12:10:37 +0100
Frank Küster <frank@kuesterei.ch> wrote:

> Florian Weimer <fw@deneb.enyo.de> wrote:
>
>>> I guess the license is GPL-incompatible, but DFSG-free.  And *that* is
>>> not a practical problem, since nobody would want to reuse the code from
>>> tex.web in a new project.
>>
>> But pdfTeX does, and it claims to be GPLed.
>
> That's a good point - but this shouldn't be discussed on the teTeX
> mailinglist, but with the web2c people (it's not an issue of pdftex
> only, most current implementations of TeX on unix(like) or Windows use
> web2c code which is GPL.  

I'll meet Martin Schröder, one of the pdfTeX developers, at the DANTE
meeting in Berlin in the first week of March, and talk to him about the
issue. 

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #106 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: tex-live@tug.org
Cc: Hans Hagen <pragma@wxs.nl>, 345604@bugs.debian.org
Subject: Re: [tex-live] Re: ConTeXt documentation in "commercial" products
Date: Fri, 27 Jan 2006 15:14:30 +0100
Hans Hagen <pragma@wxs.nl> wrote:

> I will add the following sentence to the readme:
>
> If you distribute \CONTEXT\ and related software on electronic media
> as part of \TEX\ distributions, you may also distribute the manuals
> in electronic form, preferable as provided by the maintainers of
> \CONTEXT.

Does this, or the new Creative Commons license, also apply to older
versions, in particular to the version included in teTeX 3.0?  In this
case we (Debian) could distribute the ConTeXt documentation in our
non-free section (still non-free because we don't have the sources
currently).  And I wouldn't like to use the new version's documentation
(with its CC license) and bundle it with the ConTeXt version in teTeX
3.0, since that would cause confusion.  That's why I specifically ask
whether this applies to the old version, too.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Hans Hagen <pragma@wxs.nl>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #111 received at 345604@bugs.debian.org (full text, mbox):

From: Hans Hagen <pragma@wxs.nl>
To: � <frank@kuesterei.ch>
Cc: tex-live@tug.org, 345604@bugs.debian.org
Subject: Re: [tex-live] Re: ConTeXt documentation in "commercial" products
Date: Fri, 27 Jan 2006 15:36:39 +0100
� wrote:
> Hans Hagen <pragma@wxs.nl> wrote:
>
>   
>> I will add the following sentence to the readme:
>>
>> If you distribute \CONTEXT\ and related software on electronic media
>> as part of \TEX\ distributions, you may also distribute the manuals
>> in electronic form, preferable as provided by the maintainers of
>> \CONTEXT.
>>     
>
> Does this, or the new Creative Commons license, also apply to older
> versions, in particular to the version included in teTeX 3.0?  In this
> case we (Debian) could distribute the ConTeXt documentation in our
> non-free section (still non-free because we don't have the sources
> currently).  And I wouldn't like to use the new version's documentation
> (with its CC license) and bundle it with the ConTeXt version in teTeX
> 3.0, since that would cause confusion.  That's why I specifically ask
> whether this applies to the old version, too.
>   
With older i assume that you mean the pdf's (we started putting manual sources under svn recently)? Sure go ahead and distribute them. I don't think there was even any restriction in distributing the pdf's at least not from my side (they have been in the tex collections in separate trees anyway). The whole licencing issue with respect to manual sources is mostly there because it concerns sources. 

Hans 


-----------------------------------------------------------------
                                         Hans Hagen | PRAGMA ADE
             Ridderstraat 27 | 8061 GH Hasselt | The Netherlands
    tel: 038 477 53 69 | fax: 038 477 53 74 | www.pragma-ade.com
                                            | www.pragma-pod.nl
-----------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #116 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Mon, 30 Jan 2006 21:18:46 +0100
On Sat, Jan 21, 2006 at 18:08 +0100, Ralf Stubner wrote:

> And here some documents with (possibly) problematic license:
 
l2kurz.pdf:
GFDL, >= v1.2, no Invariant Sections, Front- or Back-Cover Texts

:-(

cheerio
ralf



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #121 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Ralf Stubner <ralf.stubner@web.de>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Fri, 03 Feb 2006 20:27:35 +0100
Ralf Stubner <ralf.stubner@web.de> wrote:

> On Thu, Jan 19, 2006 at 18:54 +0100, Frank Küster wrote:
>
>> here's the start of a list of documents that have no source in
>> tetex-base or tetex-src, but whose source is available elsewhere:
>
> And here some documents with (possibly) problematic license:
>
> l2tabuen.pdf:
> GFDL, >= v1.2, no Invariant Sections, Front- or Back-Cover Texts
>
> l2tabu.pdf
> Open Publication License, >= v1.0, http://www.opencontent.org/openpub/
> (I don't know if this license is DFSG-free)

I think we should move these to tetex-doc-nonfree, and only try to
contact the maintainers whether they are willing to relicense them once
we know about a DFSG-free documentation license, in other words,
hopefully once the revised CC licenses are released.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #126 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: Frank Küster <frank@kuesterei.ch>, 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Fri, 3 Feb 2006 22:26:06 +0100
On Fri, Feb 03, 2006 at 20:27 +0100, Frank Küster wrote:
[GFDL, OpenPub, ...]
> I think we should move these to tetex-doc-nonfree, and only try to
> contact the maintainers whether they are willing to relicense them once
> we know about a DFSG-free documentation license, in other words,
> hopefully once the revised CC licenses are released.

ACK. As long only licenses meant for programs are known DFSG free, there
is no point asking authors to change licenses.

cheerio
ralf



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #131 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Ralf Stubner <ralf.stubner@web.de>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: contains non-free documentation
Date: Sat, 04 Feb 2006 22:04:47 +0100
Ralf Stubner <ralf.stubner@web.de> wrote:

> On Fri, Feb 03, 2006 at 20:27 +0100, Frank Küster wrote:
> [GFDL, OpenPub, ...]
>> I think we should move these to tetex-doc-nonfree, and only try to
>> contact the maintainers whether they are willing to relicense them once
>> we know about a DFSG-free documentation license, in other words,
>> hopefully once the revised CC licenses are released.
>
> ACK. As long only licenses meant for programs are known DFSG free, there
> is no point asking authors to change licenses.

Well, the current recommendation is to license the documentation under
GPL or a BSD-like license.  While the wording of the BSD licenses is
fine for anything, the GPL wording (object code etc.) doesn't fit well
to documentation, but BSD isn't "copyleft", i.e. it allows proprietary
derivatives.

In the case of l2tabu, I know that Mark Trettin won't license it under
the GPL, and although I didn't talk about BSD, I don't think it's worth
it. 

And after all, putting nonfree documentation into a different package
doesn't put a "bad" label on the document, it's just a question of
policy (and they're in good company, namely with RMS and the FSF)...

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #136 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: fontinst@tug.org
Cc: 345604@bugs.debian.org
Subject: License of the fontinst documentation
Date: Thu, 23 Feb 2006 14:00:04 +0100
Dear fontinst maintenance team,

upon verifying the license information for various packages on CTAN and
in Debian's teTeX package, I found that the license information for
fontinst is incomplete.

Every source file contains a "LPPL version <whatever> or later"
statement, but the pure documentation files don't contain such a license
statement.  I assume, as far as the TeX sources are included, they are
under the same license, LPPL?  

But there's also files in the talks subdirectory for which no source is
currently available.  Do you know about the license situation for them,
or should I try to contact Ulrik or Taco?  And, for that matter, I guess
roadmap.eps has been created with MetaPost - do you happen to have the
sources available?

Many thanks in advance, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Taco Hoekwater <taco@elvenkind.com>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #141 received at 345604@bugs.debian.org (full text, mbox):

From: Taco Hoekwater <taco@elvenkind.com>
To: Frank Küster <frank@kuesterei.ch>
Cc: fontinst@tug.org, 345604@bugs.debian.org
Subject: Re: [Fontinst] License of the fontinst documentation
Date: Sat, 25 Feb 2006 09:25:30 +0100
Frank Küster wrote:
> 
> But there's also files in the talks subdirectory for which no source is
> currently available.  Do you know about the license situation for them,
> or should I try to contact Ulrik or Taco?  And, for that matter, I guess
> roadmap.eps has been created with MetaPost - do you happen to have the
> sources available?

I completely forgot I helped with that talk. The documents were
prepared by Ulrik (I do not have sources and am not an author).

Taco



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ulrik Vieth <ulrik.vieth@arcor.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #146 received at 345604@bugs.debian.org (full text, mbox):

From: Ulrik Vieth <ulrik.vieth@arcor.de>
To: Taco Hoekwater <taco@elvenkind.com>
Cc: Frank Küster <frank@kuesterei.ch>, 345604@bugs.debian.org, fontinst@tug.org
Subject: Re: [Fontinst] License of the fontinst documentation
Date: Sun, 26 Feb 2006 00:53:50 +0100
Taco Hoekwater wrote:
> Frank Küster wrote:
> 
>>
>> But there's also files in the talks subdirectory for which no source is
>> currently available.  Do you know about the license situation for them,
>> or should I try to contact Ulrik or Taco?  And, for that matter, I guess
>> roadmap.eps has been created with MetaPost - do you happen to have the
>> sources available?
> 
> 
> I completely forgot I helped with that talk. The documents were
> prepared by Ulrik (I do not have sources and am not an author).

Hi Frank,

I prepared the documents for a presentation at EuroTeX 99 and Taco
assisted with the presentation. Therefore his name was on it as well.

As for licensing, I never bothered to define any specifc license for
the documents. As far as I know, they have been available on CTAN
since fontinst-prerelease-1.914 in November 1999. (I just checked the
CTAN CD 2000, which shows a filedate of Nov 16 1999 for doc/talks.)

As for sources, I may still have them somewhere on my local machine,
but they were never released, partly because the fonts required to
typeset the documents are non-free (Lucida Bright) and partly because
the PDF doucments are the final form intended for consumption.

As for roadmap.eps, the diagram was presumably created by Alan Jeffrey
and has been part of earlier fontinst distributions since 1995.

The orignal source of the EPS may have been created with xfig, since
the archive copy of fontinst-1.504 contains a file roadmap.fig along
with roadmap.eps, which can be found here:

ftp://ftp.tug.org/historic/fonts/utilities/fontinst/fontinst-1.504/doc/


Please let me know, if you need and further statement of clarification
regarding the licensing isseue.

Ulrik Vieth






Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #151 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Ulrik Vieth <ulrik.vieth@arcor.de>
Cc: 345604@bugs.debian.org, Taco Hoekwater <taco@elvenkind.com>, fontinst@tug.org
Subject: Re: Bug#345604: [Fontinst] License of the fontinst documentation
Date: Fri, 03 Mar 2006 19:20:23 +0100
Ulrik Vieth <ulrik.vieth@arcor.de> wrote:

> As for licensing, I never bothered to define any specifc license for
> the documents. As far as I know, they have been available on CTAN
> since fontinst-prerelease-1.914 in November 1999. (I just checked the
> CTAN CD 2000, which shows a filedate of Nov 16 1999 for doc/talks.)
>
> As for sources, I may still have them somewhere on my local machine,
> but they were never released, partly because the fonts required to
> typeset the documents are non-free (Lucida Bright) and partly because
> the PDF doucments are the final form intended for consumption.

Then we cannot distribute the document in Debian main, anyway.  But of
course we need a permission to distribute them (putting them on CTAN
could also mean that you want them to be available only there, but not
redistributed by anyone).  That's just legalese crap^Wformalities, but
that's how it is.  Just answering "Yes, you have that permission" is
probably sufficient, but in the long run such statement should be
included in the fontinst distribution.

> As for roadmap.eps, the diagram was presumably created by Alan Jeffrey
> and has been part of earlier fontinst distributions since 1995.
>
> The orignal source of the EPS may have been created with xfig, since
> the archive copy of fontinst-1.504 contains a file roadmap.fig along
> with roadmap.eps, which can be found here:
>
> ftp://ftp.tug.org/historic/fonts/utilities/fontinst/fontinst-1.504/doc/

Ah, that's great.

> Please let me know, if you need and further statement of clarification
> regarding the licensing isseue.

As for the documentation, only a formal statement that redistribution is
unlimited (and I hope that also extends to the included fonts).

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #156 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: fontinst@tug.org
Cc: Taco Hoekwater <taco@elvenkind.com>, 345604@bugs.debian.org, Ulrik Vieth <ulrik.vieth@arcor.de>
Subject: Re: [Fontinst] License of the fontinst documentation
Date: Fri, 03 Mar 2006 19:33:00 +0100
Ulrik Vieth <ulrik.vieth@arcor.de> wrote:

> Please let me know, if you need and further statement of clarification
> regarding the licensing isseue.

Regarding the pdf files see my other mail.  But the files in the
doc/encspecs/ and examples directories, and most importantly the manual
does not contain any license statement, just the authors/Copyright
lines.  Therefore from a legal point of view nobody is even allowed to
distribute them.

I suggest to add a file COPYING along with fontinst/README that lists
all files in the distribution and says something like

,----
| All files in the fontinst distribution may be used, modified and
| distributed according to the terms of the LPPL, either version
| <whatyouchoose> or later, or the version indicated in the individual
| files. 
`----

Thanks in advance, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #161 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: debian-tetex-maint@lists.debian.org
Cc: 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 3 Apr 2006 10:18:38 +0200
Hi Norbert, hi all,

Most of the work on tetex-doc-nonfree was done before the GR on GFDL. At
that time, it seemed pretty clear that any GFDL licensed document would
have to go to non-free. Most of the discussion is in #345604. After the
unexpected outcome of the GR, I am not sure if we should jump to
conclusions already and move the files back. 

On Mon, Apr 03, 2006 at 09:22 +0200, Norbert Preining wrote:
> On Mon, 03 Apr 2006, Norbert Preining wrote:
> > . Why is fontinstallationguide in tetex-doc-nonfree? In TeX live there 
> >   is a source code which is GFDL/Debian [1]. Maybe it is not the 
> >   exact source code? Then it would be better to compile this source code
> >   and include the output, or?

Here we have the additional problem that the PDF uses non-free fonts.

> To add one: pdftex-a.pdf is GFDL/Debian, so we shold get the source of
> it and should be able to distribute it, too.

teTeX does contain the sources:

$ dlocate pdftex-t.tex       
tetex-doc: /usr/share/doc/texmf/pdftex/manual/pdftex-t.tex.gz

cheerio
ralf





Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #166 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: 345604@bugs.debian.org
Subject: [Ralf.Stubner@physik.uni-erlangen.de: Re: Bug#353474: tetex-bin: Fails to install]
Date: Mon, 3 Apr 2006 10:05:26 +0200
I just realized that I had forgotten to send this to the appropriate bug
in the BTS.

cheerio
ralf

----- Forwarded message from Ralf Stubner <Ralf.Stubner@physik.uni-erlangen.de> -----

From: Ralf Stubner <Ralf.Stubner@physik.uni-erlangen.de>
Subject: Re: Bug#353474: tetex-bin: Fails to install
To: debian-tetex-maint@lists.debian.org
Date: Fri, 24 Feb 2006 17:29:25 +0100
X-Spam-Status: No, score=-1.0 tests=AWL=-1.036,BAYES_50=0.001 autolearn=ham
Mail-Followup-To: debian-tetex-maint@lists.debian.org

On Fri, Feb 24, 2006 at 16:36 +0100, Frank Küster wrote:
> tetex-doc-nonfree is a separate source package with no connection to
> tetex-src. 

BTW, where is tetex-src maintained? I can't find it in the debian-tex
(or pkg-tetex) SVN.

> On the other hand, if there are sources for non-free
> documents in tetex-src, we need to remove them (and probably should copy
> them to tetex-doc-nonfree).  But I don't think this will be the case,
> because the documents created from dtx files are probably all free, and
> others are not included in tetex-src AFAICT.

Unfortunately not:

~$ dlocate l2kurz
tetex-src: /usr/share/texmf/source/latex/lkurz/README.l2kurz
tetex-src: /usr/share/texmf/source/latex/lkurz/l2kurz.pdf
tetex-src: /usr/share/texmf/source/latex/lkurz/l2kurz.tex
tetex-src: /usr/share/texmf/source/latex/lkurz/l2kurz2.pdf
tetex-doc-nonfree: /usr/share/doc/texmf/latex/general/l2kurz.pdf.gz

[There are more files in /usr/share/texmf/source/latex/lkurz/.]

~$ dlocate l2tabu
tetex-src: /usr/share/texmf/source/latex/l2tabu
tetex-src: /usr/share/texmf/source/latex/l2tabu/german
tetex-src: /usr/share/texmf/source/latex/l2tabu/german/l2tabu.tex
tetex-src: /usr/share/texmf/source/latex/l2tabu/english
tetex-src: /usr/share/texmf/source/latex/l2tabu/english/l2tabuen.tex
tetex-doc-nonfree: /usr/share/doc/texmf/latex/general/l2tabuen.pdf.gz
tetex-doc-nonfree: /usr/share/doc/texmf/latex/general/l2tabu.pdf.gz
tetex-doc: /usr/share/doc/texmf/help/Catalogue/entries/l2tabu-english.html
tetex-doc: /usr/share/doc/texmf/help/Catalogue/entries/l2tabu-italian.html
tetex-doc: /usr/share/doc/texmf/help/Catalogue/entries/l2tabu.html
tetex-doc: /usr/share/doc/texmf/help/Catalogue/entries/l2tabu-french.html

[The cataloge entries are of course free.]

~$ dlocate /usr/share/doc/texmf/pdftex/manual
tetex-doc-nonfree: /usr/share/doc/texmf/pdftex/manual
tetex-doc-nonfree: /usr/share/doc/texmf/pdftex/manual/pdftex-a.pdf.gz
tetex-doc: /usr/share/doc/texmf/pdftex/manual
tetex-doc: /usr/share/doc/texmf/pdftex/manual/Makefile
tetex-doc: /usr/share/doc/texmf/pdftex/manual/makefiles.cmd
tetex-doc: /usr/share/doc/texmf/pdftex/manual/pdftex-i.tex
tetex-doc: /usr/share/doc/texmf/pdftex/manual/pdftex-t.tex.gz
tetex-doc: /usr/share/doc/texmf/pdftex/manual/pdftex-t.txt
tetex-doc: /usr/share/doc/texmf/pdftex/manual/pdftex-w.tex
tetex-doc: /usr/share/doc/texmf/pdftex/manual/README
tetex-doc: /usr/share/doc/texmf/pdftex/manual/syntaxform.awk
tetex-doc: /usr/share/doc/texmf/pdftex/manual/pdftex-syntax.txt.gz

[Here the source is in tetex-doc instead of tetex-src.]

cheerio
ralf


-- 
To UNSUBSCRIBE, email to debian-tetex-maint-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

----- End forwarded message -----



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #171 received at 345604@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: debian-tetex-maint@lists.debian.org, 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 3 Apr 2006 10:39:01 +0200
On Mon, 03 Apr 2006, Ralf Stubner wrote:
> Most of the work on tetex-doc-nonfree was done before the GR on GFDL. At
> that time, it seemed pretty clear that any GFDL licensed document would
> have to go to non-free. Most of the discussion is in #345604. After the
> unexpected outcome of the GR, I am not sure if we should jump to
> conclusions already and move the files back. 

Aehhe.. do you expect a new GR??? 

Do be honest, I would be really pissed, any many others too, since now
everyone starts to create foobar-doc-nonfree doc only for the GFDL with
the one sentence front/back cover texts. But ok, so it be.

So if there is a new GR, what should be the outcome?

BTW, why was it unexpected for you?

> > > . Why is fontinstallationguide in tetex-doc-nonfree? In TeX live there 
> > >   is a source code which is GFDL/Debian [1]. Maybe it is not the 
> > >   exact source code? Then it would be better to compile this source code
> > >   and include the output, or?
> 
> Here we have the additional problem that the PDF uses non-free fonts.

Hmmm, now it is getting interesting. Do we consider FREE also the LAYOUT
of a document????

Ie it is necessary to recreate the *VERY SAME DOCUMENT*, even from the
layouts point of view, on any system?

I would say no, because everyone can reUSE the text in any way, and he
can recreate the same layout by buying fonts, but it is not necessary to
reuse the text, change the layout etc.

So this is no contradiction for me to DFSG.

> > To add one: pdftex-a.pdf is GFDL/Debian, so we shold get the source of
> > it and should be able to distribute it, too.
> 
> teTeX does contain the sources:

Good.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
NYBSTER (n.)
Sort of person who takes the lift to travel one floor.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #176 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: debian-tetex-maint@lists.debian.org, 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 03 Apr 2006 10:58:54 +0200
Norbert Preining <preining@logic.at> wrote:

> On Mon, 03 Apr 2006, Ralf Stubner wrote:
>> Most of the work on tetex-doc-nonfree was done before the GR on GFDL. At
>> that time, it seemed pretty clear that any GFDL licensed document would
>> have to go to non-free. Most of the discussion is in #345604. After the
>> unexpected outcome of the GR, I am not sure if we should jump to
>> conclusions already and move the files back. 
>
> Aehhe.. do you expect a new GR??? 

If anything, a decision by the ftpmasters that they cannot guarantee the
requirements in the "Copying in quantity" clause or the anti-DRM clause
on Debian machines.

>> > > . Why is fontinstallationguide in tetex-doc-nonfree? In TeX live there 
>> > >   is a source code which is GFDL/Debian [1]. Maybe it is not the 
>> > >   exact source code? Then it would be better to compile this source code
>> > >   and include the output, or?
>> 
>> Here we have the additional problem that the PDF uses non-free fonts.
>
> Hmmm, now it is getting interesting. Do we consider FREE also the LAYOUT
> of a document????
>
> Ie it is necessary to recreate the *VERY SAME DOCUMENT*, even from the
> layouts point of view, on any system?
>
> I would say no, because everyone can reUSE the text in any way, and he
> can recreate the same layout by buying fonts, but it is not necessary to
> reuse the text, change the layout etc.
>
> So this is no contradiction for me to DFSG.

I've brought this up on -legal a couple of weeks ago (because of the
fontinst documentation), and the bottom line is:  If we have the fonts
and they are free, we can distribute the document as-is.  If we don't
have them, it's just the same as if a program ships as C-source plus one
precompiled binary blob (except that in this case we don't even have the
isolated binary blob, just the resulting compiled "binary").  And such a
program would for sure be non-free.

What we can always do, of course, is recreate the document from the
sources with an appropriate free font; but as long as it's distributable
and we do have tetex/texlive-doc-nonfree, anyway, I'd just put it in
there. 

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #181 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: debian-tetex-maint@lists.debian.org
Cc: 345604@bugs.debian.org
Subject: Moving GFDL/Debian free documents back (was: tetex-doc-nonfree)
Date: Mon, 03 Apr 2006 13:53:01 +0200
Ralf Stubner <ralf.stubner@web.de> wrote:

> Hi Norbert, hi all,
>
> Most of the work on tetex-doc-nonfree was done before the GR on GFDL. At
> that time, it seemed pretty clear that any GFDL licensed document would
> have to go to non-free. Most of the discussion is in #345604. After the
> unexpected outcome of the GR, I am not sure if we should jump to
> conclusions already and move the files back. 

What else do you suggest?  Do you expect any statement (e.g. by
ftp-master) with respect to "GFDL/Debian free" documents?

Technically speaking, I don't think there's a good reason to keep them
out of tetex-doc (and they are still in the tetex-base tarball, which is
not yet repackaged).

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #186 received at 345604@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>
Cc: debian-tetex-maint@lists.debian.org, 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 3 Apr 2006 15:05:07 +0200
On Mon, 03 Apr 2006, Frank Küster wrote:
> >> Here we have the additional problem that the PDF uses non-free fonts.
> >
> I've brought this up on -legal a couple of weeks ago (because of the
> fontinst documentation), and the bottom line is:  If we have the fonts
> and they are free, we can distribute the document as-is.  If we don't
> have them, it's just the same as if a program ships as C-source plus one
> precompiled binary blob (except that in this case we don't even have the
> isolated binary blob, just the resulting compiled "binary").  And such a
> program would for sure be non-free.

Umpf, this is strange. AND stupid. And the comparison with binary blob
is just plain wrong, because this binary blob is essential for the USE
of the program.

With different fonts you still have all the information, but maybe not
the completely same layout. So there is no usage restriction by it.

If Debian starts being that strange, I am getting a bit, well to be
nice, upset.

I don't see in any of the DFSG clauses that the distribution of a pdf
with commercial fonts embedded, so that it looks nice, cool, easily
readable, whatever, together with the full source of the file, but
without the commercial fonts, is not Debian Free. Ok there is a
borderline case, if one would use let's say a special font and write the
document in \char"14\char"a1... than the sole source would not help. But
if we have a normal TeX code with usepackage{mtpro} for example, then it
really is not understandable.

Furthermore, for me it contradicts the DFSG, because it doesnt serve the
users, in fact it hinders the users:
* with pdf/commercial fonts plus source a user can:
	- recreate the document in a very similar way
	- reuse all the document contents
	- read the document in a nice way
* witout pdf/commercial fonts the user can
	- recreate the document in a very similar way
	- reuse all the document contents
So in fact we TAKE a way the freedom of a user to reuse the document.

Is this the decision of -legal? Really? Can you send me a link? I want
to read there explanation, and if it is not really makes sense, I have
to rediscuss this there.

> What we can always do, of course, is recreate the document from the
> sources with an appropriate free font; but as long as it's distributable
> and we do have tetex/texlive-doc-nonfree, anyway, I'd just put it in
> there. 

Of course, this is the easy way. But I still think that we should NOT
let the -legal guys become the last and ultimate decision makers and
knee in front of their decisions. Sick.

Best wishes

Norbert
(in a very good mood currently :-]


-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
BOLSOVER
One of those brown plastic trays with bumps on, placed upside down in
boxes of chocolates to make you think you're-getting two layers.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #191 received at 345604@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>
To: debian-tetex-maint@lists.debian.org
Cc: 345604@bugs.debian.org
Subject: Re: Moving GFDL/Debian free documents back
Date: Mon, 3 Apr 2006 15:27:32 +0200
On Mon, Apr 03, 2006 at 13:53 +0200, Frank Küster wrote:
> Ralf Stubner <ralf.stubner@web.de> wrote:
> > Most of the work on tetex-doc-nonfree was done before the GR on GFDL. At
> > that time, it seemed pretty clear that any GFDL licensed document would
> > have to go to non-free. Most of the discussion is in #345604. After the
> > unexpected outcome of the GR, I am not sure if we should jump to
> > conclusions already and move the files back. 
> 
> What else do you suggest?  Do you expect any statement (e.g. by
> ftp-master) with respect to "GFDL/Debian free" documents?
> 
> Technically speaking, I don't think there's a good reason to keep them
> out of tetex-doc (and they are still in the tetex-base tarball, which is
> not yet repackaged).

I would have suggested to wait a bit until the dust has settled. ;-) But
I don't claim to understand the inner workings of Debian in all details.
I am not opposing moving back GFDL/Debian free docs.

cheerio
ralf



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #196 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Norbert Preining <preining@logic.at>
Cc: debian-tetex-maint@lists.debian.org, 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 03 Apr 2006 14:38:59 +0200
Norbert Preining <preining@logic.at> wrote:

> On Mon, 03 Apr 2006, Frank Küster wrote:
>> >> Here we have the additional problem that the PDF uses non-free fonts.
>> >
>> I've brought this up on -legal a couple of weeks ago (because of the
>> fontinst documentation), and the bottom line is:  If we have the fonts
>> and they are free, we can distribute the document as-is.  If we don't
>> have them, it's just the same as if a program ships as C-source plus one
>> precompiled binary blob (except that in this case we don't even have the
>> isolated binary blob, just the resulting compiled "binary").  And such a
>> program would for sure be non-free.
>
> Umpf, this is strange. AND stupid. And the comparison with binary blob
> is just plain wrong, because this binary blob is essential for the USE
> of the program.
>
> With different fonts you still have all the information, but maybe not
> the completely same layout. So there is no usage restriction by it.

An author who has deliberately chosen this font because he thinks it
makes the document more readable, has manually optimized the line
breaking etc. might have a differing opinion.

And if you've got a free piece of software, you can always reuse parts
of it, even in binary form (like extracting particular symbols from an
object file), which you aren't allowed to do if the software is a
Postscript or PDF document that includes non-free fonts.

> If Debian starts being that strange, I am getting a bit, well to be
> nice, upset.

I am all but happy with the current situation, especially the differing
views of Debian and the FSF on documentation freeness.  But I think
there's one good thing about it:  You can't say that it's a shame to
find one's document in non-free, since you've got prominent company
there.  

> I don't see in any of the DFSG clauses that the distribution of a pdf
> with commercial fonts embedded, so that it looks nice, cool, easily
> readable, whatever, together with the full source of the file, but
> without the commercial fonts, is not Debian Free. Ok there is a
> borderline case, if one would use let's say a special font and write the
> document in \char"14\char"a1... than the sole source would not help. But
> if we have a normal TeX code with usepackage{mtpro} for example, then it
> really is not understandable.

The text of the document itself is free, and we can always generate a
PDF file from it which uses free fonts and ship that one.  But we can't
ship the "binary form", the original PDF with non-free fonts included.

> Furthermore, for me it contradicts the DFSG, because it doesnt serve the
> users, in fact it hinders the users:
> * with pdf/commercial fonts plus source a user can:
> 	- recreate the document in a very similar way
> 	- reuse all the document contents
> 	- read the document in a nice way
> * witout pdf/commercial fonts the user can
> 	- recreate the document in a very similar way
> 	- reuse all the document contents
> So in fact we TAKE a way the freedom of a user to reuse the document.

No, we only take away the possibility to read the document in a nice
way, as you pointed out yourself.  And we clearly document that a forth
thing is missing, namely the usual

      - the user can extract arbitrary parts of the compiled document
        and reuse them 

> Is this the decision of -legal? Really? Can you send me a link? I want
> to read there explanation, and if it is not really makes sense, I have
> to rediscuss this there.

http://thread.gmane.org/gmane.linux.debian.devel.legal/25166

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #201 received at 345604@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@kuesterei.ch>
Cc: debian-tetex-maint@lists.debian.org, 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 3 Apr 2006 15:42:21 +0200
On Mon, 03 Apr 2006, Frank Küster wrote:
> The text of the document itself is free, and we can always generate a
> PDF file from it which uses free fonts and ship that one.  But we can't
> ship the "binary form", the original PDF with non-free fonts included.

Well, this is the decision, and this is what I am questioning.

> No, we only take away the possibility to read the document in a nice
> way, as you pointed out yourself.  And we clearly document that a forth
> thing is missing, namely the usual
> 
>       - the user can extract arbitrary parts of the compiled document
>         and reuse them 

Ok, this he also can do with the document as soon as commercial fonts
are embedded. Otherwise it would be illegal for the author to use the
commercial font in this way. If you buy a font you have to accept that
you include the fonts only as subsetted etc etc (you know). So this can
happen always, and is in fact allowed. That is the reason why authors
are not allowed to include the full font into the pdf document from the
contract they have with the font company.
(Leave alone border cases of encrypted/copy protected pdf documents, we
are discussion here normal plain stupid simple pdf docs).

So I don't see a problem here. What is still left is that we take away
one freedom from a user. And give nothing instead. This doesn't serve
right.

> http://thread.gmane.org/gmane.linux.debian.devel.legal/25166

Thanks, will read it.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
PANT-Y-WACCO (adj.)
The final state of mind of retired colonel before they come to take
him away.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #206 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Norbert Preining <preining@logic.at>
Cc: debian-tetex-maint@lists.debian.org, 345604@bugs.debian.org
Subject: Re: tetex-doc-nonfree
Date: Mon, 03 Apr 2006 15:07:17 +0200
Norbert Preining <preining@logic.at> wrote:

> Ok, this he also can do with the document as soon as commercial fonts
> are embedded. Otherwise it would be illegal for the author to use the
> commercial font in this way. If you buy a font you have to accept that
> you include the fonts only as subsetted etc etc (you know). So this can
> happen always, and is in fact allowed. That is the reason why authors
> are not allowed to include the full font into the pdf document from the
> contract they have with the font company.

Are you sure that it is allowed?  I'd assumed that it isn't, and the
additional subsetting requirement is just to make it harder to do it
nevertheless, and use the result.

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #211 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Denis Roegel <roegel@loria.fr>
Cc: 345604@bugs.debian.org
Subject: Documentation for aeguill.sty: Also under LPPL?
Date: Fri, 21 Jul 2006 18:18:59 +0200
Bonjour Denis,

I'm a Debian and TeXLive developer and currently doing a license
auditing of the stuff included in TeXLive and teTeX.  I found that your
package aeguill.sty, which is under LPPL, comes with two documentation
files, guil-test1.tex and guil-test2.tex.  Does the LPPL also apply to
these files?  Or do I have to ask Rolf Niepraschk about guil-test2.tex
which he contributed?

Thank you in advance,
Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to <Denis.Roegel@loria.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #216 received at 345604@bugs.debian.org (full text, mbox):

From: <Denis.Roegel@loria.fr>
To: frank@kuesterei.ch
Cc: Denis.Roegel@loria.fr, 345604@bugs.debian.org
Subject: Re: Documentation for aeguill.sty: Also under LPPL?
Date: Fri, 21 Jul 2006 20:14:49 -0200 (MET DST)
> Bonjour Denis,
> 
> I'm a Debian and TeXLive developer and currently doing a license
> auditing of the stuff included in TeXLive and teTeX.  I found that your
> package aeguill.sty, which is under LPPL, comes with two documentation
> files, guil-test1.tex and guil-test2.tex.  Does the LPPL also apply to
> these files?  Or do I have to ask Rolf Niepraschk about guil-test2.tex
> which he contributed?

Hi,

the license applies to all files. 

Thanks,

Denis





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #221 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 345604@bugs.debian.org
Subject: Re: How to deal with teTeX's and texlive's RC licensing bugs
Date: Fri, 06 Oct 2006 10:51:51 +0200
Steve Langasek <vorlon@debian.org> wrote:

> The consequences of these guidelines for the tex licensing bugs seem to be
> as follows:
>
> 345604:
>   ConTeXt upstream says they aren't interested in relicensing; RC bug.

This is already solved, ConTeXt documentation is in tetex-doc-nonfree

>   csname.txt: etch-ignore (due to blanket license statement?).

Yes, it's part of AMSTeX which has a general license statement.

>   unixtex.ftp: etch-ignore.
>   l2tabuen.pdf, pdftex-a.pdf, fontinstallationguide.pdf, l2kurz.pdf:
>     ok per the GFDL GR

All are already in tetex-doc-nonfree.  We can put l2tabuen.pdf,
pdftex-a.pdf and l2kurz.pdf back into tetex-doc.  However,
fontinstallationguide contains fonts that are non-free, or in other
words we do not have the complete source for this PDF file.

>   l2tabu.pdf: ok per James Troup in bug #384019 (?)

already in tetex-doc-nonfree, can be moved back

>   doc/encspecs/ and examples: etch-ignore.

So this all is already resolved.  However, there are more issues in this
bug that should be resolved, in particular files without source:

- The TeX Catalogue, source at
   cvs -d :pserver:anonymous@cvs.texcatalogue.sarovar.org:/cvsroot/texcatalogue export  -r HEAD texcatalogue

   (needs python-xml)

- tds.dvi: Sources at http://www.tug.org/ftp/tex/tds/ or
  http://www.ctan.org/tex-archive/tds/ 

- faq: http://www.tex.ac.uk/tex-archive/help/uk-tex-faq/

I've written earlier in this bug:

,----
| Since we should really check other docs as well, I'm retitling this one,
| and we'll keep it open until every document has been checked. 
`----

However, since we're not going to finish the complete auditing (which
covers TeX input files, not only documentation), I'm closing this in the
next changelog entry.


Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #226 received at 345604@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frank Küster <frank@debian.org>, 345604@bugs.debian.org
Subject: Re: Bug#345604: How to deal with teTeX's and texlive's RC licensing bugs
Date: Sat, 7 Oct 2006 01:53:00 -0500
tags 345604 etch-ignore
thanks

On Fri, Oct 06, 2006 at 10:51:51AM +0200, Frank Küster wrote:

> I've written earlier in this bug:
> 
> ,----
> | Since we should really check other docs as well, I'm retitling this one,
> | and we'll keep it open until every document has been checked. 
> `----
> 
> However, since we're not going to finish the complete auditing (which
> covers TeX input files, not only documentation), I'm closing this in the
> next changelog entry.

Er, first of all, according to your last email we still have the following
two issues:

> >   csname.txt: etch-ignore (due to blanket license statement?).

> Yes, it's part of AMSTeX which has a general license statement.

> >   doc/encspecs/ and examples: etch-ignore.

These were designated "ignorable for etch", but that doesn't mean they
aren't problems, and nothing in your mail suggested that they are resolved.

Second, it's improper to close bugs in changelog entries for versions of a
package that don't actually fix those bugs.

Anyway, setting the etch-ignore tag now.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: etch-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #233 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Steve Langasek <vorlon@debian.org>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: How to deal with teTeX's and texlive's RC licensing bugs
Date: Sat, 07 Oct 2006 10:55:27 +0200
Steve Langasek <vorlon@debian.org> wrote:

> Er, first of all, according to your last email we still have the following
> two issues:
[...]
> These were designated "ignorable for etch", but that doesn't mean they
> aren't problems, and nothing in your mail suggested that they are resolved.

Yes, sorry, I missed these two.

> Second, it's improper to close bugs in changelog entries for versions of a
> package that don't actually fix those bugs.

The next upload will contain a new orig.tar.gz, where the ones you
identified as RC are removed.  Plus one more you didn't notice, the
GFDL'ed fontinstallationguide.pdf with incomplete source.  This and at
least the ConTeXt stuff relates to this bug.

> Anyway, setting the etch-ignore tag now.

Thanks.  Shouldn't this be delayed until the fixed package reaches etch?
At least I wanted to ask for etch-ignore tags for the remaining
licensing bugs as soon as that has happened.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #238 received at 345604@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frank Küster <frank@kuesterei.ch>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: How to deal with teTeX's and texlive's RC licensing bugs
Date: Sat, 7 Oct 2006 13:43:48 -0500
tags 345604 -etch-ignore
thanks

On Sat, Oct 07, 2006 at 10:55:27AM +0200, Frank Küster wrote:
> Steve Langasek <vorlon@debian.org> wrote:

> > Er, first of all, according to your last email we still have the following
> > two issues:
> [...]
> > These were designated "ignorable for etch", but that doesn't mean they
> > aren't problems, and nothing in your mail suggested that they are resolved.

> Yes, sorry, I missed these two.

> > Second, it's improper to close bugs in changelog entries for versions of a
> > package that don't actually fix those bugs.

> The next upload will contain a new orig.tar.gz, where the ones you
> identified as RC are removed.  Plus one more you didn't notice, the
> GFDL'ed fontinstallationguide.pdf with incomplete source.  This and at
> least the ConTeXt stuff relates to this bug.

Ok. FWIW, source for documentation is not an RC issue.

> > Anyway, setting the etch-ignore tag now.

> Thanks.  Shouldn't this be delayed until the fixed package reaches etch?
> At least I wanted to ask for etch-ignore tags for the remaining
> licensing bugs as soon as that has happened.

Ah, I didn't understand that these fixes had yet to reach testing. 
Unsetting the tag; please feel free to re-set it when you see that the
package is in testing.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags removed: etch-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#345604; Package tetex-doc. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #245 received at 345604@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Steve Langasek <vorlon@debian.org>
Cc: 345604@bugs.debian.org
Subject: Re: Bug#345604: How to deal with teTeX's and texlive's RC licensing bugs
Date: Sat, 07 Oct 2006 22:37:18 +0200
Steve Langasek <vorlon@debian.org> wrote:

> Ah, I didn't understand that these fixes had yet to reach testing. 

They're fixed in the binary package since long, but the orig.tar.gz
still has the non-free files.

Cheers,
Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Tags added: etch-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. (Mon, 24 Aug 2009 10:19:13 GMT) Full text and rfc822 format available.

Notification sent to Florian Weimer <fw@deneb.enyo.de>:
Bug acknowledged by developer. (Mon, 24 Aug 2009 10:19:13 GMT) Full text and rfc822 format available.

Message #252 received at 345604-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 345604-done@bugs.debian.org
Subject: Package tetex-doc has been removed from Debian
Date: Mon, 24 Aug 2009 11:00:55 +0100
Version: 3.0.dfsg.3-5+rm

You filled the bug http://bugs.debian.org/345604 in Debian BTS
against the package tetex-doc. I'm closing it at *unstable*, but it will
remain open for older distributions.

For more information about this package's removal, read
http://bugs.debian.org/472810. That bug might give the reasons why
this package was removed and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Marco Rodrigues




Bug No longer marked as fixed in versions 3.0.dfsg.3-5+rm and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 Aug 2009 14:33:20 GMT) Full text and rfc822 format available.

Added tag(s) etch. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Sat, 04 Dec 2010 18:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#345604; Package tetex-doc. (Thu, 10 Feb 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 10 Feb 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #261 received at 345604@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Florian Weimer <fw@deneb.enyo.de>, 345604@bugs.debian.org
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Thu, 10 Feb 2011 14:52:15 +0100
[Message part 1 (text/plain, inline)]
On 02.01.06 Florian Weimer (fw@deneb.enyo.de) wrote:

> Package: tetex-doc
> Version: 3.0-11
> Severity: serious
> 
> The license is clearly non-free:
> 
> | All rights reserved. No part of this publication may be reproduced,
> | stored in a retrieval system, or transmitted in any form or by any
> | means, electronic, mechanical, photocopying, recording or otherwise,
> | without prior written permission of the publisher.
> 
This bug has been opened against tetex-doc long ago. Since the
release of squeeze not even Debian oldstable is affected any more,
the doc has been moved to context-nonfree.

Can we close that bug now?

H.
-- 
sigmentation fault
[signature.asc (application/pgp-signature, inline)]

Reply sent to Hilmar Preuße <hille42@web.de>:
You have taken responsibility. (Thu, 10 Feb 2011 20:21:06 GMT) Full text and rfc822 format available.

Notification sent to Florian Weimer <fw@deneb.enyo.de>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 20:21:06 GMT) Full text and rfc822 format available.

Message #266 received at 345604-done@bugs.debian.org (full text, mbox):

From: Hilmar Preuße <hille42@web.de>
To: 345604-done@bugs.debian.org
Subject: close, agreed by submitter
Date: Thu, 10 Feb 2011 21:19:56 +0100
kkk
-- 
sigmentation fault




Message #267 received at 345604-done@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Hilmar Preusse <hille42@web.de>
Cc: 345604-done@bugs.debian.org
Subject: Re: Bug#345604: ConTeXt documentation is non-free
Date: Thu, 10 Feb 2011 20:37:32 +0100
* Hilmar Preusse:

> On 02.01.06 Florian Weimer (fw@deneb.enyo.de) wrote:
>
>> Package: tetex-doc
>> Version: 3.0-11
>> Severity: serious
>> 
>> The license is clearly non-free:
>> 
>> | All rights reserved. No part of this publication may be reproduced,
>> | stored in a retrieval system, or transmitted in any form or by any
>> | means, electronic, mechanical, photocopying, recording or otherwise,
>> | without prior written permission of the publisher.
>> 
> This bug has been opened against tetex-doc long ago. Since the
> release of squeeze not even Debian oldstable is affected any more,
> the doc has been moved to context-nonfree.
>
> Can we close that bug now?

Sure, why not.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Mar 2011 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:56:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.